Skip to main content
GET
/
entities
/
search
Search Entities, Organizations or Wallets
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/entities/search \
  --header 'X-API-Key: <api-key>'
{
  "result": {
    "entities": [
      {
        "name": "Uniswap",
        "id": "uniswap",
        "logo": "https://uniswap.io/favicon.ico",
        "bio": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
        "description": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
        "website": "https://uniswap.io",
        "twitter": "https://twitter.com/uniswap",
        "type": "exchange"
      }
    ],
    "addresses": [
      {
        "address": "0x1f98431c8ad98523631ae4a59f267346ea31f984",
        "chain": "ethereum",
        "is_multi_chain": false,
        "primary_label": "Uniswap",
        "entity": {
          "name": "Uniswap",
          "id": "uniswap"
        }
      }
    ],
    "categories": [
      {
        "name": "Uniswap",
        "id": "uniswap"
      }
    ]
  },
  "page": "1",
  "page_size": "100"
}
Endpoint cost: CUs. Learn more about compute units.

Authorizations

X-API-Key
string
header
default:test
required

Query Parameters

query
string
required

The search query

Example:

"Doge"

limit
integer

The desired page size of the result.

Required range: x >= 0

Response

200 - application/json

Returns the search results.

result
object
required
page
integer

The current page of the result

Example:

"1"

page_size
integer

The number of results per page

Example:

"100"